D_VALIDATE(9)

NAME
d_validate - verify dentry provided from insecure source (deprecated)

SYNOPSIS

int d_validate(struct dentry * dentry, struct dentry * dparent);

ARGUMENTS

dentry
    The dentry alleged to be valid child of dparent

dparent
    The parent dentry (known to be valid)

DESCRIPTION

An insecure source has sent us a dentry, here we verify it and dget it. This is used by ncpfs in its readdir implementation. Zero is returned in the dentry is invalid.

This function is slow for big directories, and deprecated, do not use it.

COPYRIGHT